@Echo off

REM Most arguments passed to us via the environment as they contain spaces...

if not defined NUM_CONNECTIONS set NUM_CONNECTIONS=100
if not defined NUM_MESSAGES set NUM_MESSAGES=100
if not defined CLIENT_READ_TIMEOUT set CLIENT_READ_TIMEOUT=60000

if not defined JETBYTE_DEBUG_BUILD_SCRIPTS goto NoDebug
Echo Script debug information - RunTestsForClientSettings.bat
Echo - 
Echo Optional: NUM_CONNECTIONS=%NUM_CONNECTIONS%
Echo Optional: NUM_MESSAGES=%NUM_MESSAGES%
Echo Optional: CLIENT_READ_TIMEOUT=%CLIENT_READ_TIMEOUT%
Echo -

:NoDebug

set ORIGINAL_BASE_TEST_NAME=%BASE_TEST_NAME%

set BASE_TEST_NAME=%ORIGINAL_BASE_TEST_NAME% SendAfterRecv -
set TEST_CLIENT_BASE_ARGS=-server localhost -connections %NUM_CONNECTIONS% -connectionBatchSize 100 -connectionBatchDelay 100 -messages %NUM_MESSAGES% -messageRate 0 -sendAfterRecv -readTimeout %CLIENT_READ_TIMEOUT% -messageSize 512

call RunTests.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

set BASE_TEST_NAME=%ORIGINAL_BASE_TEST_NAME% MsgRate100 -
set TEST_CLIENT_BASE_ARGS=-server localhost -connections %NUM_CONNECTIONS% -connectionBatchSize 100 -connectionBatchDelay 100 -messages %NUM_MESSAGES% -messageRate 100 -readTimeout %CLIENT_READ_TIMEOUT% -messageSize 512
REM -messageFlowTimeout 50000 -checkEvery 1000

call RunTests.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%
